Forum Clubic

Dependence de paquet rpm

bonjour a ts, je voulais savoir si il n’existait pas une option a rpm pour telecharger et installer les dependance d’un paquet automatiquement au lieu d’avoir un message d’erreur qui nous dit ce qu’il manque.

style apt-get install sous debian !!!

merci

urpmi sous mandrake et yum (ou meme apt-get) sous redhat… (je ne sais plus pour suse)

m’enfin, en lisant la doc de ta distrib, tu serais tombe dessus en 3s :sarcastic:

+1

y a aussi yum et apt-rpm

+1 urpmi gères pas ces satanées librairies…(ou alors faut me dire avec quelle option)
Je me retrouve toujours a checher sur rpmfind quel package contient litrucmuche.0.so

Si :o, man urpmi/urpmf/urpmq :p.

et ~urpmf :wink:

Bien sûr ça fonctionne après que tu as configuré les sources logicielles
Je répète qqch que jcp_ et what autres foromeurs ont déja dit, après une discussion hier avec un pote chez qui j’ai installé Mandrake en test :

Ça ct hier les gars, et y-a pas de raison que mon pote soit le seul à avoir le cerveau tellement façonné par un OS renommé pour commencer un guide au point 2 sans jetter un oeil au 1 http://c.laloy.free.fr/images/smileys/vrai.gif

Alors mes sources faites sur easy urpmi doivent êtres bien nazes,a moins que ce soit pas encore completement cohérent au niveau des dépendances pour mdk cooker x86_64 (c’est possible que ce soit ca,ca me l avait jamais fait en 10.1 official)
Je referais ca ce soir.

Ouais c 'est bien ca .
Quel qun sait comment on disupdate (10.2->10.1 )
je pense qu il faut reinstaller mais si quelqu un sait?

:sweat:

ben voila… cherche pas plus loin… :lol:
deja tu utilises une distrib en developpement (cooker) et sur une architecture pas encore vraiment testee pour le moment (x86_64 - meme pour la version official)

c’est normal que tu aies des problemes de dependances ou de paquets completement foutus… :sarcastic:

c’est deja pas possible pour une debian ou un freebsd alors ne l’espere pas sur une mandrake…
ca sera dispo quand MS le fera [:alonso117:2]

Très bientôt alors! :stuck_out_tongue:

Par exemple : (extrait du man d’urpmf)
[fixed]OPTIONS
–help affiche un message d’aide et quitte.

   --quiet
          ne  pas  afficher  le  nom des champs (actif par défaut si aucun
          champ n'est précisé sur la ligne de commande, incompatible  avec
          le mode interactif).

   --all  afficher tous les champs.

   --name afficher  le  champ « name » : nom du fichier rpm (par défaut si
          aucun champ n'est précisé sur la ligne de commande mais sans nom
          de paquetage)

   --group
          afficher le champ « group » : groupe

   --size afficher le champ « size » : taille.

   --serial
          afficher le champ « serial » : numéro de série.
   --summary
          afficher le champ « summary » : résumé.

   --description
          afficher le champ « description » : description.

   --provides
           afficher  le  champ  « provides » :  tous  les  apports (multi-
          lignes).

   --requires
          afficher le champ « requires » : toutes les dépendances  (multi-
          lignes).

   --files
          afficher  le champ « files » : tous les fichiers (multi-lignes).

   --conflicts
          afficher le champ  « conflicts » :  tous  les  conflits  (multi-
          lignes).

   --obsoletes
          afficher  le  champ  « obsoletes » :  toutes  les  obsolescences
          (multi-lignes).

   --prereqs
          afficher le champ « prereqs » : toutes les dépendances  prélimi-
          naires(multi-lignes).[/fixed]

[fixed][root@phoenix /]# urpmf --summary gimp
libgimp2.0_0:GIMP libraries
gimpprint-common:Documentation, samples and translations of Gimp-Print
libgimpprint1:Shared library for high-quality image printing
gimp:The GNU Image Manipulation Program
gimpprint-ijs:Gimp-Print IJS plugin for GhostScript
libgimp2.0-devel:GIMP plugin and extension development kit
libgimpprint1-devel:Headers and links for compiling against libgimpprint
dcraw-gimp2.0:A GIMP plug-in to load raw files of digicams (GIMP 2.2.x)
gimp-help-2:Help files for Gimp2
gimp-python:GIMP python extension
gimp2_2-python:GIMP python extension
gimpprint-cups:Special CUPS printer driver of Gimp-Print
gimpprint-escputil:Gimp-Print ink level monitor and printer maintenance tool
gimpprint-foomatic:Foomatic data for Gimp-Print IJS plugin for GhostScript
gtkam-gimp-plugin:GIMP-plug-in for digital camera access through GPhoto2
swfdec-gimp:Gimp plugin for Flash rendering
ufraw-gimp:Reads the raw image formats of digital cameras into GIMP
xsane-gimp:A GIMP plug-in which provides the SANE scanner interface.
abiword-plugin-abigimp:Enables editing of your images in The GIMP
frontline-gimp:Frontline plugin for GIMP
gimp-data-extras:The GNU Image Manipulation Program
gimp-freetype:A GIMP font renderer based on the freetype library
gimp-sharp:Gimp# allows writing Gimp plugin with Mono
gimp2-freetype:A GIMP font renderer based on the freetype library
gimp2-gap:GAP (GIMP Animation Package), a video plug-in for GIMP
gimp2-pandora:GIMP plugin for making panoramas
guide-gimp:The Gimp guide
guide-gimp_pri_demo:The Gimp guide
mrwtoppm-gimp:A GIMP plug-in to load raw images from Minolta DiMAGE 5, 7, A1[/fixed]
[fixed][root@phoenix /]# urpmf --provides gimp
libkoffice2-karbon:libkarbonsvgimport.so
libgimp2.0_0:libgimp2.0[== 2.2.4-5mdk]
libgimp2.0_0:libgimp-2.0.so.0
libgimp2.0_0:libgimpbase-2.0.so.0
libgimp2.0_0:libgimpcolor-2.0.so.0
libgimp2.0_0:libgimpmath-2.0.so.0
libgimp2.0_0:libgimpmodule-2.0.so.0
libgimp2.0_0:libgimpthumb-2.0.so.0
libgimp2.0_0:libgimpui-2.0.so.0
libgimp2.0_0:libgimpwidgets-2.0.so.0
libgimp2.0_0:libgimp2.0_0[== 1:2.2.4-5mdk]
gimpprint-common:gimpprint-common[== 4.2.7-12mdk]
libgimpprint1:libgimpprint4
libgimpprint1:libgimpprint[== 4.2.7-%{gimpprintrel}]
libgimpprint1:libgimpprint.so.1
libgimpprint1:libgimpprint1[== 4.2.7-12mdk]
gimp:gimp1_3
gimp:gimp2_0
gimp:gimp2_2
gimp:libcdisplay_colorblind.so
gimp:libcdisplay_gamma.so
gimp:libcdisplay_highcontrast.so
gimp:libcdisplay_proof.so
gimp:libcolorsel_cmyk.so
gimp:libcolorsel_triangle.so
gimp:libcolorsel_water.so
gimp:libcontroller_linux_input.so
gimp:libcontroller_midi.so
gimp:gimp[== 1:2.2.4-5mdk]
scribus:libsvgimplugin.so.0
gimpprint-ijs:gimpprint-ijs[== 4.2.7-12mdk]
perl-Gimp:gimp-perl[== 1:2.0]
libgimp2.0-devel:gimp-devel[== 2.2.4-5mdk]
libgimp2.0-devel:gimp2-devel[== 2.2.4-5mdk]
libgimp2.0-devel:libgimp-devel[== 2.2.4-5mdk]
libgimp2.0-devel:devel(libgimp-2.0)
libgimp2.0-devel:devel(libgimpbase-2.0)
libgimp2.0-devel:devel(libgimpcolor-2.0)
libgimp2.0-devel:devel(libgimpmath-2.0)
libgimp2.0-devel:devel(libgimpmodule-2.0)
libgimp2.0-devel:devel(libgimpthumb-2.0)
libgimp2.0-devel:devel(libgimpui-2.0)
libgimp2.0-devel:devel(libgimpwidgets-2.0)
libgimp2.0-devel:libgimp2.0-devel[== 1:2.2.4-5mdk]
libgimpprint1-devel:libgimpprint4-devel
libgimpprint1-devel:libgimpprint-devel[== 4.2.7-%{gimpprintrel}]
libgimpprint1-devel:gimpprint-devel[== 4.2.7-%{gimpprintrel}]
libgimpprint1-devel:devel(libgimpprint)
libgimpprint1-devel:libgimpprint1-devel[== 4.2.7-12mdk]
dcraw-gimp2.0:dcraw-gimp2.0[== 6.35-2mdk]
gimp-help-2:gimp-help-2[== 0.7-1mdk]
gimp-python:gimpmodule.so
gimp-python:gimpprocbrowsermodule.so
gimp-python:gimp-python[== 1:2.2.4-5mdk]
gimp2_2-python:gimpmodule.so
gimp2_2-python:gimpprocbrowsermodule.so
gimp2_2-python:gimp2_2-python[== 1:2.2.4-1mdk]
gimpprint-cups:gimpprint-cups[== 4.2.7-12mdk]
gimpprint-escputil:gimpprint-escputil[== 4.2.7-12mdk]
gimpprint-foomatic:gimpprint-foomatic[== 4.2.7-12mdk]
gtkam-gimp-plugin:gtkam-gimp-plugin[== 0.1.12-8mdk]
swfdec-gimp:swfdec-gimp[== 0.3.2-3mdk]
ufraw-gimp:ufraw-gimp[== 0.4-2mdk]
xsane-gimp:xsane-gimp[== 0.97-1mdk]
abiword-plugin-abigimp:libAbiGimp.so
abiword-plugin-abigimp:abiword-plugin-abigimp[== 2.2.7-1mdk]
cinepaint:filmgimp
frontline-gimp:frontline-gimp[== 0.5.4-2mdk]
gimp-data-extras:gimp-data-extras[== 2.0.1-2mdk]
gimp-freetype:gimp-freetype[== 0.2-3mdk]
gimp-sharp:libgimpwrapper.so.0
gimp-sharp:mono(KoalaPaint)[== 0.0.0.0]
gimp-sharp:mono(Ministeck)[== 0.0.0.0]
gimp-sharp:mono(PicturePackage)[== 0.0.0.0]
gimp-sharp:mono(RedEye)[== 0.0.0.0]
gimp-sharp:mono(SliceTool)[== 0.0.0.0]
gimp-sharp:mono(Splitter)[== 0.0.0.0]
gimp-sharp:mono(gimp-sharp)[== 0.0.0.0]
gimp-sharp:mono(ncp)[== 0.0.0.0]
gimp-sharp:gimp-sharp[== 0.5-1mdk]
gimp2-freetype:gimp1_3-freetype[== 0.6]
gimp2-freetype:gimp2-freetype[== 0.6-1mdk]
gimp2-gap:gimp2-gap[== 2.0.2-2mdk]
gimp2-pandora:gimp2-pandora[== 0.7-1mdk]
guide-gimp:guide-gimp[== 1.0.1-3mdk]
guide-gimp_pri_demo:guide-gimp_pri_demo[== 1.0.3-3mdk]
inkscape:libgimpgrad.so.0
mrwtoppm-gimp:mrwtoppm-gimp[== 0.1.0-1mdk][/fixed]
[fixed][root@phoenix /]# urpmf --name gimp
libgimp2.0_0:libgimp2.0_0-2.2.4-5mdk.i586.rpm
gimpprint-common:gimpprint-common-4.2.7-12mdk.i586.rpm
libgimpprint1:libgimpprint1-4.2.7-12mdk.i586.rpm
gimp:gimp-2.2.4-5mdk.i586.rpm
gimpprint-ijs:gimpprint-ijs-4.2.7-12mdk.i586.rpm
libgimp2.0-devel:libgimp2.0-devel-2.2.4-5mdk.i586.rpm
libgimpprint1-devel:libgimpprint1-devel-4.2.7-12mdk.i586.rpm
dcraw-gimp2.0:dcraw-gimp2.0-6.35-2mdk.i586.rpm
gimp-help-2:gimp-help-2-0.7-1mdk.noarch.rpm
gimp-python:gimp-python-2.2.4-5mdk.i586.rpm
gimp2_2-python:gimp2_2-python-2.2.4-1mdk.i586.rpm
gimpprint-cups:gimpprint-cups-4.2.7-12mdk.i586.rpm
gimpprint-escputil:gimpprint-escputil-4.2.7-12mdk.i586.rpm
gimpprint-foomatic:gimpprint-foomatic-4.2.7-12mdk.i586.rpm
gtkam-gimp-plugin:gtkam-gimp-plugin-0.1.12-8mdk.i586.rpm
swfdec-gimp:swfdec-gimp-0.3.2-3mdk.i586.rpm
ufraw-gimp:ufraw-gimp-0.4-2mdk.i586.rpm
xsane-gimp:xsane-gimp-0.97-1mdk.i586.rpm
abiword-plugin-abigimp:abiword-plugin-abigimp-2.2.7-1mdk.i586.rpm
frontline-gimp:frontline-gimp-0.5.4-2mdk.i586.rpm
gimp-data-extras:gimp-data-extras-2.0.1-2mdk.noarch.rpm
gimp-freetype:gimp-freetype-0.2-3mdk.i586.rpm
gimp-sharp:gimp-sharp-0.5-1mdk.i586.rpm
gimp2-freetype:gimp2-freetype-0.6-1mdk.i586.rpm
gimp2-gap:gimp2-gap-2.0.2-2mdk.i586.rpm
gimp2-pandora:gimp2-pandora-0.7-1mdk.i586.rpm
guide-gimp:guide-gimp-1.0.1-3mdk.noarch.rpm
guide-gimp_pri_demo:guide-gimp_pri_demo-1.0.3-3mdk.noarch.rpm
mrwtoppm-gimp:mrwtoppm-gimp-0.1.0-1mdk.i586.rpm[/fixed][fixed][root@phoenix /]# urpmf --group gimp
libgimp2.0_0:System/Libraries
gimpprint-common:Publishing
libgimpprint1:Publishing
gimp:Graphics
gimpprint-ijs:Publishing
libgimp2.0-devel:Development/GNOME and GTK+
libgimpprint1-devel:Development/C
dcraw-gimp2.0:Graphics
gimp-help-2:Development/Other
gimp-python:Graphics
gimp2_2-python:Graphics
gimpprint-cups:Publishing
gimpprint-escputil:Publishing
gimpprint-foomatic:Publishing
gtkam-gimp-plugin:Graphics
swfdec-gimp:Networking/WWW
ufraw-gimp:Graphics
xsane-gimp:Graphics
abiword-plugin-abigimp:Office
frontline-gimp:Graphics
gimp-data-extras:Graphics
gimp-freetype:Graphics
gimp-sharp:Graphics
gimp2-freetype:Graphics
gimp2-gap:Graphics
gimp2-pandora:Graphics
guide-gimp:Education
guide-gimp_pri_demo:Education
mrwtoppm-gimp:Graphics[/fixed]
etc … donc, si tu n’y arrives pas, on ne peut plus rien faire là ;).